Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.utils
Class TextSearchBuilder

    java.lang.Object
      com.bea.apps.groupspace.search.utils.TextSearchBuilder

    public class TextSearchBuilder

extends Object

This class is used to construct binary text-specific searches. You may use the ITextQueryParameters to build up FullTextSearch objects with other query parameters, or simply use the methods that return a full text search.

Use of this class assumes the Autonomy Search Engine is running.

Constructor Summary
`TextSearchBuilder()`

Method Summary
`com.bea.content.expression.FullTextSearch` | `allOfTheseWords(String[] allWords)`
`ITextQueryParameter` | `and(ITextQueryParameter param1, ITextQueryParameter param2)` AND two text query parameters
`com.bea.content.expression.FullTextSearch` | `anyOfTheseWords(String[] anyWords)` Construct a FullTextSearch object that will search content for "any of these words".
`protected com.bea.content.expression.FullTextSearch` | `buildTextSearch(String[] notWords, ITextQueryParameter t2)` Search text with these metadata restrictions and NOT restrictions
`ITextQueryParameter` | `equals(String criteria)` Match the exact value
`ITextQueryParameter` | `equalsAll(String[] criteria)` Match all one of the list of values
`ITextQueryParameter` | `equalsAny(String[] criteria)` Match any one of the list of values
`ITextQueryParameter` | `equalsNone(String[] criteria)` Match none of the list of values
`ITextQueryParameter` | `match(String[] allWords, String[] anyWords, String exactPhrase)` Construct an IMetadataQueryParameter that will search content subject to all of these restrictions.
`com.bea.content.expression.FullTextSearch` | `noneOfTheseWords(String[] words)` Construct a FullTextSearch object that will search for "none of these words".
`ITextQueryParameter` | `notEquals(String criteria)` Do not match this value
`ITextQueryParameter` | `or(ITextQueryParameter param1, ITextQueryParameter param2)` OR two text query parameters
`ITextQueryParameter` | `relatedTo(String criteria)` Used for conceptual matching
`ITextQueryParameter` | `relatedToAll(String[] criteria)` Used for conceptual matching of all values in a list
`ITextQueryParameter` | `similarTo(String criteria)` Used for "similar", possibly misspelled text
`ITextQueryParameter` | `soundsLike(String criteria)` Used for soundex search.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSearchBuilder

    public TextSearchBuilder()

Method Detail

### noneOfTheseWords

    public com.bea.content.expression.FullTextSearch noneOfTheseWords(String[] words)
                                                               throws Exception

  Construct a FullTextSearch object that will search for "none of these words".

  Throws
    `Exception`

### allOfTheseWords

    public com.bea.content.expression.FullTextSearch allOfTheseWords(String[] allWords)
                                                              throws Exception

  Throws
    `Exception`

### anyOfTheseWords

    public com.bea.content.expression.FullTextSearch anyOfTheseWords(String[] anyWords)
                                                              throws Exception

  Construct a FullTextSearch object that will search content for "any of these words".

  Throws
    `Exception`

### equals

    public ITextQueryParameter equals(String criteria)
                               throws InvalidQueryException

  Match the exact value

  Throws
    `InvalidQueryException`

### notEquals

    public ITextQueryParameter notEquals(String criteria)
                                  throws InvalidQueryException

  Do not match this value

  Throws
    `InvalidQueryException`

### equalsAny

    public ITextQueryParameter equalsAny(String[] criteria)
                                  throws InvalidQueryException

  Match any one of the list of values

  Throws
    `InvalidQueryException`

### equalsAll

    public ITextQueryParameter equalsAll(String[] criteria)
                                  throws InvalidQueryException

  Match all one of the list of values

  Throws
    `InvalidQueryException`

### equalsNone

    public ITextQueryParameter equalsNone(String[] criteria)
                                   throws InvalidQueryException

  Match none of the list of values

  Throws
    `InvalidQueryException`

### soundsLike

    public ITextQueryParameter soundsLike(String criteria)
                                   throws InvalidQueryException

  Used for soundex search.

  Throws
    `InvalidQueryException`

### similarTo

    public ITextQueryParameter similarTo(String criteria)
                                  throws InvalidQueryException

  Used for "similar", possibly misspelled text

  Throws
    `InvalidQueryException`

### relatedTo

    public ITextQueryParameter relatedTo(String criteria)
                                  throws InvalidQueryException

  Used for conceptual matching

  Throws
    `InvalidQueryException`

### relatedToAll

    public ITextQueryParameter relatedToAll(String[] criteria)
                                     throws InvalidQueryException

  Used for conceptual matching of all values in a list

  Throws
    `InvalidQueryException`

### and

    public ITextQueryParameter and(ITextQueryParameter param1,
                                   ITextQueryParameter param2)

  AND two text query parameters

### or

    public ITextQueryParameter or(ITextQueryParameter param1,
                                  ITextQueryParameter param2)

  OR two text query parameters

### match

    public ITextQueryParameter match(String[] allWords,
                                     String[] anyWords,
                                     String exactPhrase)
                              throws Exception

  Construct an IMetadataQueryParameter that will search content subject to all of these restrictions. These restrictions are 'ANDED' together

  Throws
    `Exception`

### buildTextSearch

    protected com.bea.content.expression.FullTextSearch buildTextSearch(String[] notWords,
                                                                        ITextQueryParameter t2)
                                                                 throws Exception

  Search text with these metadata restrictions and NOT restrictions

  Throws
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved